/* 
 * wordnetUI.java
 *
 * Created on 13. únor 2008, 12:12
 */
package my.gui;

import java.util.logging.Level;
import java.util.logging.Logger;
import wpi.WPILib;
import java.io.*;
import java.sql.*;
import java.util.*;
import javax.swing.DefaultComboBoxModel;
import javax.swing.DefaultListModel;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JTabbedPane;
import javax.swing.JTextField;
import javax.swing.JTree;
import javax.swing.ListSelectionModel;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreePath;

/**
 *
 * @author  Adam Kopřiva
 * 
 */
public class wordnetUI extends javax.swing.JFrame {

    public static String conectFile="connect.dat"; 
    public static final int LENSYNSET = 8;
//    public static List Areas = new ArrayList<JTextArea>();
    public static List Lists = new ArrayList<JList>();
    public static List synsets = new ArrayList(0);
    public static List senses = new ArrayList(0);
    public static JTabbedPane pane;
    public static JComboBox historyBox;
    public static JComboBox connectBox;
//    public static JList list;
    //  public static String textHistory="";
    public static JLabel statusLabel;
    public static JTextField findIt;
    public static JTree tree;
    public static List treePath = new ArrayList(0);
    public static DefaultMutableTreeNode nouns = new DefaultMutableTreeNode("Nouns");
    public static DefaultMutableTreeNode verbs = new DefaultMutableTreeNode("Verbs");
    public static DefaultMutableTreeNode adverb = new DefaultMutableTreeNode("Adverbs");
    public static DefaultMutableTreeNode adject = new DefaultMutableTreeNode("Adjectives");

    static void insertIntoTree(char wc, String sentence, List synsets) {

        DefaultMutableTreeNode node = null;
        node = new DefaultMutableTreeNode(sentence);

        if (!synsets.isEmpty()) {
            DefaultMutableTreeNode leaf = null;
            leaf = new DefaultMutableTreeNode(synsets);

            node.add(leaf);
        }

        switch (wc) {
            case 'n':
                nouns.add(node);
                break;
            case 'v':
                verbs.add(node);
                break;
            case 'a':
                adject.add(node);
                break;
            case 'r':
                adverb.add(node);
                break;
            case 's':
                adverb.add(node);
                break;
        }



    }

    /**
     * Metoda, přidá do stromu čtyří prázdné větve - nouns, verbs, adverb, adjectives
     */
    public static void clearTree() {

        DefaultMutableTreeNode root = new DefaultMutableTreeNode("");

        createNodes(root);
        DefaultTreeModel top = new DefaultTreeModel(root);


        tree.setModel(top);

    }

      /**
     * Metoda, která zabalí celý strom až po kořeny
     * @param treePath - rozbalené uzly
     */
    private static void collapsePathAll(List treePath) {

        Iterator it = treePath.iterator();

        while (it.hasNext()) {
            tree.collapsePath((TreePath) it.next());
        }

        /*    Iterator it2 = treePath.iterator(); 
        while (it2.hasNext())  System.out.println(it2.next()+"/n");  
         */
        treePath.clear();
    }

    /**
     * Metoda, která vytvoří strom a přidá do něj položky
     */
    private static void createNodes(DefaultMutableTreeNode root) {

        nouns.removeAllChildren();
        verbs.removeAllChildren();
        adverb.removeAllChildren();
        adject.removeAllChildren();

        root.add(nouns);
        root.add(verbs);
        root.add(adverb);
        root.add(adject);
    }

    /**
     * Metoda, která vyhledá ve stromu výrazy k hledanému synonymu
     */
    static void SelectedInSense(Object selectedValue) {
        try {

            TreePath path = null;

            collapsePathAll(treePath);

            String word = (String) selectedValue;
            word = word.substring(word.indexOf(" ") + 1);

           

            DefaultMutableTreeNode node = null;

            List synsety = new ArrayList(0);
            synsety = WPILib.FindSynsets(WPILib.FindWordId(word));


            Iterator it = synsety.iterator();


            String oldwc = "";
            String wc = "";

            while (it.hasNext()) {
                String findedSynset = (String) it.next();

                Iterator it2 = senses.iterator();
                int i = 0;

                while (it2.hasNext()) {
                    i++;
                    Scanner scan = new Scanner((String) it2.next()).useDelimiter("\\|\\s*");
                    wc = scan.next();

                    if (!wc.equals(oldwc)) {
                        i = 0;
                    }
                    String synset = scan.next();

                    String sentence = scan.next();
                    oldwc = wc;

                      
                    if (findedSynset.equals(synset.trim())) {

                        switch (wc.charAt(0)) {
                            case 'n':
                                node = (DefaultMutableTreeNode) nouns.getChildAt(i);
                                break;
                            case 'v':
                                node = (DefaultMutableTreeNode) verbs.getChildAt(i);
                                break;
                            case 'a':
                                node = (DefaultMutableTreeNode) adject.getChildAt(i);
                                break;
                            case 'r':
                                node = (DefaultMutableTreeNode) adverb.getChildAt(i);
                                break;
                            case 's':
                                node = (DefaultMutableTreeNode) adverb.getChildAt(i);
                                break;
                        }

                       
                         
                        path = new TreePath(node.getPath());
                        tree.expandPath(path);

                        tree.scrollPathToVisible(path);
                        tree.setAlignmentY(0);
                        // System.out.println(path);

                        treePath.add((TreePath) path);

                    }
                }
            }

        } catch (Exception e) {

            //System.out.println(e);
        }



    }

    /**
     * Metoda, která vypíše synonyma
     */
    static void printSynonym(String word) {
        try {
            List synonyms = new ArrayList(0);

            synonyms = WPILib.GetSynonyms(synsets);
            Collections.sort(synonyms);
            if (synonyms.contains(word)) {
                synonyms.remove(word);
            }

            vloz((JList) Lists.get(0), synonyms);


        } catch (Exception e) {

            System.out.println(e);
        }

    }

    /**
     * Metoda, která vypíše antonyma
     * @param word - slovo od kterého hledáme antonyma
     */
    static void printAntonym(String word) {
        try {

            List antonyms = new ArrayList(0);

            antonyms = WPILib.GetAntonyms(word);
            Collections.sort(antonyms);

            vloz((JList) Lists.get(1), antonyms);

        } catch (Exception e) {

            System.out.println(e);
        }

    }

    /**
     * Metoda, která vypíše hyponyma
     * @param word - slovo od kterého hledáme hyponyma
     */
    static void printHyponym(String word) {

        try {

            List types = new ArrayList(0);

            types = WPILib.GetTypes(word);
            Collections.sort(types);

            vloz((JList) Lists.get(2), types);

        } catch (Exception e) {

            System.out.println(e);
        }

    }

    /**
     * Metoda, která vypíše hypernyma
     * @param word - slovo od kterého hledáme hypernyma
     */
    static void printHypernym(String word) {

        try {

            List typeOf = new ArrayList(0);

            typeOf = WPILib.GetTypeOf(word);
            Collections.sort(typeOf);

            vloz((JList) Lists.get(3), typeOf);


        } catch (Exception e) {

            System.out.println(e);
        }

    }

    /**
     * Metoda, přidá slovo do historie
     * @param word - slovo které se má přidat do historie
     */
    static void addToHistory(String word) {

        boolean obsahuje = false;

        DefaultComboBoxModel comboModel = (DefaultComboBoxModel) historyBox.getModel();
        int size = comboModel.getSize();
        int i = 0;
        
        for (i = 0; i < size; i++) {
            if (word.equals(historyBox.getItemAt(i))) {
                obsahuje = true;
                break;
            }
        }

        if (!obsahuje) {
            historyBox.insertItemAt(word, 0);
            historyBox.setSelectedIndex(0);
        } else {
            historyBox.setSelectedIndex(i);
        }
    }

     /**
     * Metoda, která vloží kolekci do seznamu
     * @param list - seznam do kterého se bude vkládat
     * @param kolekce - kolekce která se bude vkládat
     */
    private static void vloz(JList list, List kolekce) {

        DefaultListModel lm = new DefaultListModel();
        Iterator it = kolekce.iterator();

        int i = 1;

        while (it.hasNext()) {
            lm.addElement((i++) + ". " + (String) it.next());
        }

        list.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
        list.setModel(lm);
    }

    /** Creates new form wordnetUI */
    public wordnetUI() {
        initComponents();

        //     Areas.add(jTextArea1);
        //     Areas.add(jTextArea6);

        historyBox = jComboBox1;

        connectBox = jComboBox2;

        Lists.add(jList1);
        Lists.add(jList2);
        Lists.add(jList3);
        Lists.add(jList4);

        findIt = jTextField1;
        pane = jTabbedPane1;


        //   jTextArea1.addMouseListener (new ML(jTextArea1, jTextField1));
        jList1.addMouseListener(new ML(jList1, jTextField1));
        jList2.addMouseListener(new ML(jList2, jTextField1));
        jList3.addMouseListener(new ML(jList3, jTextField1));
        jList4.addMouseListener(new ML(jList4, jTextField1));

        jTabbedPane1.addChangeListener(new CL(jTextField1));

        statusLabel = jLabel4;
        setStatus("Start up");
     
        
        tree = jTree1;

        clearTree();

        // nastavení ikon - bez ikon
        DefaultTreeCellRenderer renderer = new DefaultTreeCellRenderer();
        renderer.setOpenIcon(null);
        renderer.setClosedIcon(null);
        renderer.setLeafIcon(null);
    
        tree.setCellRenderer(renderer);
        
        setStatus("Please set connection to database");
        initConnectBox();
       // WPILib.connect = WPILib.Connect(WPILib.initConnection());
       // setStatus("Connected");

    //      DefaultMutableTreeNode top = (DefaultMutableTreeNode) tree.getModel();


    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextField1 = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jTabbedPane1 = new javax.swing.JTabbedPane();
        jScrollPane2 = new javax.swing.JScrollPane();
        jList1 = new javax.swing.JList();
        jScrollPane7 = new javax.swing.JScrollPane();
        jList2 = new javax.swing.JList();
        jScrollPane3 = new javax.swing.JScrollPane();
        jList3 = new javax.swing.JList();
        jScrollPane4 = new javax.swing.JScrollPane();
        jList4 = new javax.swing.JList();
        jScrollPane5 = new javax.swing.JScrollPane();
        jTree1 = new javax.swing.JTree();
        jComboBox1 = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        jButton3 = new javax.swing.JButton();
        jComboBox2 = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JWord");

        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        jLabel1.setText("Lookup:");

        jButton1.setText("Search");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setText("Exit");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jList1.addListSelectionListener(new javax.swing.event.ListSelectionListener() {
            public void valueChanged(javax.swing.event.ListSelectionEvent evt) {
                jList1ValueChanged(evt);
            }
        });
        jScrollPane2.setViewportView(jList1);

        jTabbedPane1.addTab("Synonyms", jScrollPane2);

        jScrollPane7.setViewportView(jList2);

        jTabbedPane1.addTab("Antonyms", jScrollPane7);

        jScrollPane3.setViewportView(jList3);

        jTabbedPane1.addTab("Hyponyms", jScrollPane3);

        jScrollPane4.setViewportView(jList4);

        jTabbedPane1.addTab("Hypernyms", jScrollPane4);

        jTree1.addTreeExpansionListener(new javax.swing.event.TreeExpansionListener() {
            public void treeCollapsed(javax.swing.event.TreeExpansionEvent evt) {
            }
            public void treeExpanded(javax.swing.event.TreeExpansionEvent evt) {
                jTree1TreeExpanded(evt);
            }
        });
        jScrollPane5.setViewportView(jTree1);

        jComboBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBox1ActionPerformed(evt);
            }
        });

        jLabel3.setText("History:");

        jButton3.setText("Connection setup");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jComboBox2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBox2ActionPerformed(evt);
            }
        });

        jLabel2.setText("Connection:");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 860, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 137, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButton1)
                        .add(50, 50, 50)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 74, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jComboBox2, 0, 359, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButton3))
                    .add(layout.createSequentialGroup()
                        .add(jScrollPane5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 459, Short.MAX_VALUE)
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(layout.createSequentialGroup()
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 241, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jButton2))
                            .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 383, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButton1)
                    .add(jButton3)
                    .add(jLabel2)
                    .add(jComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 428, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabel3))
                            .add(jButton2)))
                    .add(jScrollPane5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 457, Short.MAX_VALUE))
                .add(18, 18, 18)
                .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * Metoda, nastavuje status připojení
     * @param status -zobrazený status
     */
    public static void setStatus(String status){
        
        statusLabel.setText(status);
    }
    
     /**
     * Metoda, naplní po spuštění možná připojení do connection boxu
     */
    public static void initConnectBox() {
        try {



            //    DefaultComboBoxModel comboModel = (DefaultComboBoxModel) connectBox.getModel();
            //    int size = comboModel.getSize();
            int i = 0;

            File data = new File(conectFile);

            if (!data.exists()) {
                
                data.createNewFile();

            }
            
            if (data.length()<1) {
                String connect = "jdbc:mysql://minerva2.fit.vutbr.cz/wordnet30?user=wordnet&password=bRLNBWSnxxUanRn4";

                FileWriter fw = new FileWriter(conectFile, true);


                int c;

                for (i = 0; i < connect.length(); i++) {
                    fw.write(connect.charAt(i));
                }

                fw.close();
            }

            FileReader fr = new FileReader(conectFile);
            BufferedReader in = new BufferedReader(fr);

            String radka;

            while ((radka = in.readLine()) != null) {
                connectBox.insertItemAt(radka, 0);
            }
            fr.close();
            
        //   connectBox.setSelectedIndex(0);
       
        
        } catch (IOException ex) {
            Logger.getLogger(wordnetUI.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
    
    /**
     * Metoda, přidává možná připojení do connect boxu
     * @param connect - připojení 
     */
    public static void addConnectBox(String connect) {
        
          connectBox.insertItemAt(connect, 0);
            connectBox.setSelectedIndex(0);
        
    }
    
    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:

        jButton1ActionPerformed(evt);
        
    }//GEN-LAST:event_jTextField1ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed

        try {

            Proved(jTextField1);


        } catch (Exception e) {

            System.out.println(e);
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jList1ValueChanged(javax.swing.event.ListSelectionEvent evt) {//GEN-FIRST:event_jList1ValueChanged
        // TODO add your handling code here:
        SelectedInSense(jList1.getSelectedValue());
    }//GEN-LAST:event_jList1ValueChanged

    private void jTree1TreeExpanded(javax.swing.event.TreeExpansionEvent evt) {//GEN-FIRST:event_jTree1TreeExpanded
    /*       DefaultMutableTreeNode node = null;
    DefaultMutableTreeNode node2 = null;
    evt.
    node = (DefaultMutableTreeNode) evt.getSource();
    //node2 = (DefaultMutableTreeNode) node.getFirstChild();
    //   TreePath path = new TreePath(evt.getPath()); 
    TreePath path = new TreePath(node.getPath());
    treePath.add((TreePath) path);*/

    /*      String path2 = path.toString();
    path2.substring(1, path2.length()-1);
    treePath.add(path2);*/
    //     System.out.println(path);
    }//GEN-LAST:event_jTree1TreeExpanded

    private void jComboBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox1ActionPerformed
        jTextField1.setText((String) historyBox.getSelectedItem());
        Proved(jTextField1);
    }//GEN-LAST:event_jComboBox1ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed

        connection okno = new connection();
        okno.setVisible(true);
        
        // TODO add your handling code here:
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jComboBox2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox2ActionPerformed
       WPILib.connect = WPILib.Connect((String) connectBox.getSelectedItem());
       setStatus(WPILib.status);
    }//GEN-LAST:event_jComboBox2ActionPerformed


    public static void Proved(JTextField jTextField1) {

        try {
          
            String word = "";  // hledané slovo 


            word = jTextField1.getText();

            word.toLowerCase();

            


            clearTree();

            //   List senses = new ArrayList(0);
            List synsety = new ArrayList(0);
            List WordClass = new ArrayList(0);

            char[] p = new char[5];
            p[0] = 'n';
            p[1] = 'v';
            p[2] = 'a';
            p[3] = 'r';
            p[4] = 's';

            senses = WPILib.FindSense(synsets = WPILib.FindSynsets(WPILib.FindWordId(word)));

            for (int j = 0; j < 5; j++) {

                WordClass = WPILib.GetWordClass(senses, p[j]);

                if (!WordClass.isEmpty()) {



                    // Collections.sort(senses);
                    //  int i =1;

                    Iterator it = WordClass.iterator();
                    while (it.hasNext()) {

                        Scanner scan = new Scanner((String) it.next()).useDelimiter("\\|\\s*");
                        String synset = scan.next();
                        String sentence = scan.next();
                        synsety = WPILib.FindSynonymsFromSynsets(synset, word);
                 
                        insertIntoTree(p[j], sentence, synsety);
                    }

                }

            }



            

            pane.setSelectedIndex(0);
            printSynonym(word);

            addToHistory(word);

        } catch (Exception e) {
            setStatus(WPILib.status);
            System.out.println(e);
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {



        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new wordnetUI().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JComboBox jComboBox2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JList jList1;
    private javax.swing.JList jList2;
    private javax.swing.JList jList3;
    private javax.swing.JList jList4;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTree jTree1;
    // End of variables declaration//GEN-END:variables
}
